STOFFPosition Class Reference

Class to define the position of an object (textbox, picture, ..) in the document. More...

`#include <STOFFPosition.hxx>`

## Public Types

enum | AnchorTo { Cell , Char , CharBaseLine , Frame , Paragraph , Page , Unknown }
| a list of enum used to defined the anchor More...

## Public Member Functions

| STOFFPosition ()
| constructor
virtual | ~STOFFPosition ()
| destructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
void | setOrigin (STOFFVec2f const &origin)
| utility function to set a origin in point
void | setSize (STOFFVec2f const &size)
| utility function to set a size in point
void | setAnchor (AnchorTo anchor)
| set the anchor
bool | operator== (STOFFPosition const &f) const
| basic operator==
bool | operator!= (STOFFPosition const &f) const
| basic operator!=

## Public Attributes

AnchorTo | m_anchorTo
| anchor position
STOFFVec2f | m_origin
| the origin in point
STOFFVec2f | m_size
| the size in point
STOFFVec2f | m_offset
| internal: an offset used to retrieve the local position in a DrawingLayer
librevenge::RVNGPropertyList | m_propertyList
| the property list

## Friends

std::ostream & | operator<< (std::ostream &o, STOFFPosition const &pos)
| operator<<

## Detailed Description

Class to define the position of an object (textbox, picture, ..) in the document.

Stores the page, object position, object size, anchor, wrapping, ...

## Member Enumeration Documentation

## AnchorTo

enum STOFFPosition::AnchorTo

a list of enum used to defined the anchor

Enumerator
Cell |
Char |
CharBaseLine |
Frame |
Paragraph |
Page |
Unknown |

## Constructor & Destructor Documentation

## STOFFPosition()

STOFFPosition::STOFFPosition | ( |  | ) |

inline

constructor

Referenced by operator!=(), operator<<, and operator==().

## ~STOFFPosition()

STOFFPosition::~STOFFPosition | ( |  | ) |

virtual

destructor

## Member Function Documentation

## addTo()

void STOFFPosition::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

inline

add to the propList

Referenced by STOFFFrameStyle::addTo().

## operator!=()

bool STOFFPosition::operator!= | ( | STOFFPosition const & | f | ) | const

inline

basic operator!=

## operator==()

bool STOFFPosition::operator== | ( | STOFFPosition const & | f | ) | const

inline

basic operator==

Referenced by operator!=().

## setAnchor()

void STOFFPosition::setAnchor | ( | AnchorTo | anchor | ) |

inline

set the anchor

Referenced by StarFrameAttribute::StarFAttributeAnchor::addTo(), SDGParser::parse(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

## setOrigin()

void STOFFPosition::setOrigin | ( | STOFFVec2f const & | origin | ) |

inline

utility function to set a origin in point

Referenced by STOFFGraphicListener::openFooter(), STOFFGraphicListener::openHeader(), STOFFGraphicListener::openTable(), StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

## setSize()

void STOFFPosition::setSize | ( | STOFFVec2f const & | size | ) |

inline

utility function to set a size in point

Referenced by StarFrameAttribute::StarFAttributeFrameSize::addTo(), STOFFFrameStyle::getPosition(), STOFFOLEParser::readCONTENTS(), STOFFOLEParser::readContents(), STOFFOLEParser::readOlePres(), StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFPosition const & | pos )

friend

operator<<

## Member Data Documentation

## m_anchorTo

AnchorTo STOFFPosition::m_anchorTo

anchor position

Referenced by addTo(), STOFFGraphicListener::insertShape(), STOFFSpreadsheetListener::insertShape(), STOFFTextListener::insertShape(), STOFFTextListener::openGroup(), operator==(), STOFFOLEParser::readCONTENTS(), STOFFOLEParser::readContents(), STOFFOLEParser::readOlePres(), StarObjectModel::sendPage(), StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone(), setAnchor(), and STOFFPosition().

## m_offset

STOFFVec2f STOFFPosition::m_offset

internal: an offset used to retrieve the local position in a DrawingLayer

Referenced by operator==(), StarObjectSmallGraphicInternal::SdrGraphicGroup::send(), and STOFFPosition().

## m_origin

STOFFVec2f STOFFPosition::m_origin

the origin in point

Referenced by operator==(), StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone(), setOrigin(), and STOFFPosition().

## m_propertyList

librevenge::RVNGPropertyList STOFFPosition::m_propertyList

the property list

Referenced by StarFrameAttribute::StarFAttributeOrientation::addTo(), addTo(), operator<<, operator==(), StarObjectModel::sendPage(), setOrigin(), setSize(), and STOFFPosition().

## m_size

STOFFVec2f STOFFPosition::m_size

the size in point

Referenced by StarFrameAttribute::StarFAttributeFrameSize::addTo(), STOFFFrameStyle::getPosition(), operator==(), StarTableInternal::Table::send(), setSize(), STOFFPosition(), and StarTableInternal::TableBox::updatePosition().

The documentation for this class was generated from the following files:

- STOFFPosition.hxx
- STOFFPosition.cxx